Subject: Re: bug#67796: Automake is not compatible with older Autoconfs we provide

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 12 Dec 2023 11:59:10 -0500

Hi,

Ekaitz Zarraga <[email-masked]> writes:

> Hi,
>
> We have automake packaged, but it's not compatible with older autoconf
> versions so autoconf is not very usable at this point.
>
> ```
> Ekaitz@tuxedo ~/projects/nlnet/gcc/libstdc++-v3 (riscv)$ guix shell
> automake [email-masked]
> Ekaitz@tuxedo ~/projects/nlnet/gcc/libstdc++-v3 (riscv) [env]$
> autoreconf -vif
> autoreconf: Entering directory `.'
> autoreconf: configure.ac: not using Gettext
> autoreconf: running: aclocal --force -I . -I .. -I ../config
> configure.ac:74: error: Autoconf version 2.65 or higher is required
> /gnu/store/p0c4zj5na8w9hpsp5v5h637wnybx0hb6-automake-1.16.5/share/aclocal-1.16/init.m4:29:
> AM_INIT_AUTOMAKE is expanded from...
> configure.ac:74: the top level
> autom4te: /gnu/store/n3kxhwi5qdil1vlaq5b6zwyiv7wkrw76-m4-1.4.19/bin/m4
> failed with exit status: 63
> aclocal: error: autom4te failed with exit status: 63
> autoreconf: aclocal failed with exit status: 63
> ```
>
> Is this only my thing?

'guix show automake' shows we also have automake 1.9.6 available.  I
suppose this still works with the older autoconf?

-- 
Thanks,
Maxim